#include<bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    int n,m;
    long long a,b,zb=0;
    cin >> n >> m;
    vector<long long> v(n);
    for (int i=0;i<n;i++)
        cin >> v[i];
    for (int i=0;i<m;i++)
    {
        cin >> a >> b;
        a--;b--;
        zb+=abs(v[a]+v[b]);
    }
    cout << zb;
}